package com.goafanti.cognizance.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.goafanti.cognizance.service.OrgCognizanceProportionService;
import com.goafanti.common.dao.OrgCognizanceProportionMapper;
import com.goafanti.common.model.OrgCognizanceProportion;
@Service
public class OrgCognizanceProportionServiceImpl implements OrgCognizanceProportionService{
	@Autowired
	private OrgCognizanceProportionMapper orgCognizanceProportionMapper;

	@Override
	public OrgCognizanceProportion selectByUid(String uid) {
		return orgCognizanceProportionMapper.selectByUid(uid);
	}

	@Override
	public OrgCognizanceProportion selectByPrimaryKey(String id) {
		return orgCognizanceProportionMapper.selectByPrimaryKey(id);
	}

	@Override
	public int updateByPrimaryKeySelective(OrgCognizanceProportion ocp) {
		return orgCognizanceProportionMapper.updateByPrimaryKeySelective(ocp);
	}

	@Override
	public int insert(OrgCognizanceProportion cp) {
		return orgCognizanceProportionMapper.insert(cp);
	}

}
